-- WARLOCK MORTAL COIL SPELL: 
function GoH_Warlock_MenuButton_Mortal_Coil_OnClick()
	    if GoHv5_Warlock_Data.config.Mortal_Coil == "NO" then
	    	GoHv5_Warlock_Data.config.Mortal_Coil = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Get_Out_Of_Here_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_Warlock_Data.config.Mortal_Coil = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Warlock_Set_Menu_Button_Images();
end

-- WARLOCK UNENDING_BREATH SPELL: 
function GoH_Warlock_MenuButton_Unending_Breath_OnClick()
	    if GoHv5_Warlock_Data.config.Unending_Breath == "NO" then
	    	GoHv5_Warlock_Data.config.Unending_Breath = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Hand_of_Protection_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_Warlock_Data.config.Unending_Breath = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Warlock_Set_Menu_Button_Images();
end

-- WARLOCK UNENDING_RESOLVE SPELL: 
function GoH_Warlock_MenuButton_Unending_Resolve_OnClick()
	    if GoHv5_Warlock_Data.config.Unending_Resolve == "NO" then
	    	GoHv5_Warlock_Data.config.Unending_Resolve = "YES"
	    	Play_Random_Laugh();
	    else
	    	GoHv5_Warlock_Data.config.Unending_Resolve = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Warlock_Set_Menu_Button_Images();
end

-- WARLOCK RAIN_OF_FIRE SPELL: 
function GoH_Warlock_MenuButton_Rain_Of_Fire_OnClick()
	    if GoHv5_Warlock_Data.config.Rain_Of_Fire == "NO" then
	    	GoHv5_Warlock_Data.config.Rain_Of_Fire = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Lightning_Storm.mp3","Master");
	    else
	    	GoHv5_Warlock_Data.config.Rain_Of_Fire = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Warlock_Set_Menu_Button_Images();
end

-- WARLOCK SUMMON_INFERNAL SPELL: 
function GoH_Warlock_MenuButton_Summon_Infernal_OnClick()
	    if GoHv5_Warlock_Data.config.Summon_Infernal == "NO" then
	    	GoHv5_Warlock_Data.config.Summon_Infernal = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Roar.mp3","Master");
	    else
	    	GoHv5_Warlock_Data.config.Summon_Infernal = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Warlock_Set_Menu_Button_Images();
end

-- WARLOCK DARK_PACT SPELL: 
function GoH_Warlock_MenuButton_Dark_Pact_OnClick()
	    if GoHv5_Warlock_Data.config.Dark_Pact == "NO" then
	    	GoHv5_Warlock_Data.config.Dark_Pact = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Death_Pact_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_Warlock_Data.config.Dark_Pact = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Warlock_Set_Menu_Button_Images();
end

-- WARLOCK BURNING_RUSH SPELL: 
function GoH_Warlock_MenuButton_Burning_Rush_OnClick()
	    if GoHv5_Warlock_Data.config.Burning_Rush == "NO" then
	    	GoHv5_Warlock_Data.config.Burning_Rush = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Soul_Fire.mp3","Master");
	    else
	    	GoHv5_Warlock_Data.config.Burning_Rush = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Warlock_Set_Menu_Button_Images();
end




-- ###################################################################################################
-- ###################################################################################################
-- THIS NEXT FUNCTION IS WHERE ALL YOUR SPELL IMAGES AND TEXT ARE CALLED, SET AND REFRESHED.
-- PUT ALL OF YOUR DRUID SPELLS WITHIN SO YOU JUST NEED TO CALL ONE FUNCTION TO REFRESH ALL.
-- BASICALLY EVERY SPELL YOU ADD ABOVE WILL BE WITHIN THE FUNCTION BELOW AND EVERY SPELL ABOVE WILL CALL
-- THE FUNCTION BELOW. EVERY TIME YOU CHECK SOMETHING IN THE DRUID MENU, BELOW WILL REFRESH IT ALL.
-- ###################################################################################################
-- ###################################################################################################
function GoH_Warlock_Set_Menu_Button_Images()

		--Warlock Sounds
	
	
	    
		
		-- ###################################################################################################
        -- ###################################################################################################
		--     WARLOCK UNENDING_BREATH
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_WARLOCK_UNENDING_BREATH_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_WARLOCK_UNENDING_BREATH_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_WARLOCK_UNENDING_BREATH_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_Warlock_Data.config.Unending_Breath == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_WARLOCK_UNENDING_BREATH_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
			-- CHANGE THE TEXT TO GREEN
		Warlock_Unending_Breath_Text:SetText("|cFF00AA00Unending Breath|r");

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_WARLOCK_UNENDING_BREATH_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
						-- CHANGE THE TEXT TO RED
		Warlock_Unending_Breath_Text:SetText("|cFFFF0000Unending Breath|r");

		end
		
		-- ###################################################################################################
        -- ###################################################################################################
		--     WARLOCK UNENDING_RESOLVE
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_WARLOCK_UNENDING_RESOLVE_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_WARLOCK_UNENDING_RESOLVE_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_WARLOCK_UNENDING_RESOLVE_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_Warlock_Data.config.Unending_Resolve == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_WARLOCK_UNENDING_RESOLVE_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
			-- CHANGE THE TEXT TO GREEN
		Warlock_Unending_Resolve_Text:SetText("|cFF00AA00Unending Resolve|r");

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_WARLOCK_UNENDING_RESOLVE_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			Warlock_Unending_Resolve_Text:SetText("|cFFFF0000Unending Resolve|r");

		end
		
		
		
		-- ###################################################################################################
        -- ###################################################################################################
		--     WARLOCK RAIN_OF_FIRE
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_WARLOCK_RAIN_OF_FIRE_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_WARLOCK_RAIN_OF_FIRE_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_WARLOCK_RAIN_OF_FIRE_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_Warlock_Data.config.Rain_Of_Fire == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_WARLOCK_RAIN_OF_FIRE_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
			-- CHANGE THE TEXT TO GREEN
		Warlock_Rain_Of_Fire_Text:SetText("|cFF00AA00Rain Of Fire|r");

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_WARLOCK_RAIN_OF_FIRE_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			Warlock_Rain_Of_Fire_Text:SetText("|cFFFF0000Rain Of Fire|r");

		end
		
		-- ###################################################################################################
        -- ###################################################################################################
		--     WARLOCK SUMMON_INFERNAL
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_WARLOCK_SUMMON_INFERNAL_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_WARLOCK_SUMMON_INFERNAL_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_WARLOCK_SUMMON_INFERNAL_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_Warlock_Data.config.Summon_Infernal == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_WARLOCK_SUMMON_INFERNAL_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
				-- CHANGE THE TEXT TO GREEN
		Warlock_Summon_Infernal_Text:SetText("|cFF00AA00Summon Infernal|r");

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_WARLOCK_SUMMON_INFERNAL_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			Warlock_Summon_Infernal_Text:SetText("|cFFFF0000Summon Infernal|r");

		end
		
		
		
		-- ###################################################################################################
        -- ###################################################################################################
		--     WARLOCK DARK_PACT
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_WARLOCK_DARK_PACT_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_WARLOCK_DARK_PACT_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_WARLOCK_DARK_PACT_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_Warlock_Data.config.Dark_Pact == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_WARLOCK_DARK_PACT_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
				-- CHANGE THE TEXT TO GREEN
		Warlock_Dark_Pact_Text:SetText("|cFF00AA00Dark Pact|r");

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_WARLOCK_DARK_PACT_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			Warlock_Dark_Pact_Text:SetText("|cFFFF0000Dark Pact|r");

		end
		
		-- ###################################################################################################
        -- ###################################################################################################
		--     WARLOCK BURNING_RUSH
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_WARLOCK_BURNING_RUSH_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_WARLOCK_BURNING_RUSH_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_WARLOCK_BURNING_RUSH_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_Warlock_Data.config.Burning_Rush == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_WARLOCK_BURNING_RUSH_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
					-- CHANGE THE TEXT TO GREEN
		Warlock_Burning_Rush_Text:SetText("|cFF00AA00Burning Rush|r");

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_WARLOCK_BURNING_RUSH_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			Warlock_Burning_Rush_Text:SetText("|cFFFF0000Burning Rush|r");

		end
	
	-- ###################################################################################################
        -- ###################################################################################################
		--     WARLOCK MORTAL COIL
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_WARLOCK_MORTAL_COIL_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_WARLOCK_MORTAL_COIL_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
		GoH_WARLOCK_MORTAL_COIL_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_Warlock_Data.config.Mortal_Coil == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_WARLOCK_MORTAL_COIL_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
			Warlock_Mortal_Coil_Text:SetText("|cFF00AA00Mortal Coil|r");

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_WARLOCK_MORTAL_COIL_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
			Warlock_Mortal_Coil_Text:SetText("|cFFFF0000Mortal Coil|r");

		

		end
end


